/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-14 15:32:06 UTC)
 * on 2013-08-19 at 20:41:58 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.adexchangebuyer.model;

/**
 * An account feed lists Ad Exchange buyer accounts that the user has access to. Each entry in the
 * feed corresponds to a single buyer account.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Ad Exchange Buyer API. For a detailed explanation
 * see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class AccountsList extends com.google.api.client.json.GenericJson {

  /**
   * A list of accounts.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<Account> items;

  static {
    // hack to force ProGuard to consider Account used, since otherwise it would be stripped out
    // see http://code.google.com/p/google-api-java-client/issues/detail?id=528
    com.google.api.client.util.Data.nullOf(Account.class);
  }

  /**
   * Resource type.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * A list of accounts.
   * @return value or {@code null} for none
   */
  public java.util.List<Account> getItems() {
    return items;
  }

  /**
   * A list of accounts.
   * @param items items or {@code null} for none
   */
  public AccountsList setItems(java.util.List<Account> items) {
    this.items = items;
    return this;
  }

  /**
   * Resource type.
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * Resource type.
   * @param kind kind or {@code null} for none
   */
  public AccountsList setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  @Override
  public AccountsList set(String fieldName, Object value) {
    return (AccountsList) super.set(fieldName, value);
  }

  @Override
  public AccountsList clone() {
    return (AccountsList) super.clone();
  }

}
